<?php
require('fpdf/fpdf.php');

class PDF extends FPDF

{
// Cabecera de página
function Header()
{
    $this->Image('imagenes/escudo.jpg',20,10,20,25);
    $this->SetFont('Arial','B',11);
    $this->Ln(5);
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$institucion=utf8_decode($registro["nombreie"]);
		$departamento=utf8_decode($registro["departamentoie"]);
		$municipio=utf8_decode($registro["municipioie"]);
		$dane=$registro["daneie"];
		$nit=$registro["nitie"];
		$resolucion=utf8_decode($registro["resolucionie"]);
		$rector=utf8_decode($registro["rectorie"]);
	}
	$nomsede=utf8_decode($_GET['nomsede']);
    $this->Cell(200,0,$institucion,0,0,'C');
    $this->Ln(5);
    $this->SetFont('Arial','B',10);
    $this->Cell(200,0,$municipio." - ".$departamento,0,0,'C');
    $this->Ln(5);
    $this->SetFont('Arial','B',8);
    $this->Cell(200,0,"DANE: ".$dane."  -  NIT: ".$nit."  -  RESOLUCION: ".$resolucion,0,0,'C');
    $this->Ln(5);
    $this->SetFont('Arial','I',10);
    $this->Cell(200,0,$nomsede,0,0,'C');
    $this->Ln(5);
    $this->SetFont('Arial','B',12);
    $this->Cell(200,0,'REPORTE FINAL DE CALIFICACIONES',0,0,'C');
    $this->Ln(2);
}

// Pie de página
function Footer()
{
//    include("../php/conexion-infogeneral.php");
//    $idi=$_GET['idi'];
//    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
//	if(mysql_num_rows($DatosInstitucion)>0) {
//		$registro=mysql_fetch_array($DatosInstitucion);
//		$nemo=$registro["nemoie"];
//		$direccion=utf8_decode($registro["direccionie"]);
//		$telefono=$registro["telefonoie"];
//		$tiporeporte=$registro["tiporeporte"];
//	}
    // Posición: a 1,5 cm del final
//    $this->SetY(-10);
    // Helvetica italic 8
//    $this->SetFont('Helvetica','I',8);
    // Número de página
//    $this->Cell(0,10,$nemo.' - '.$direccion.'  -  Tel: '.$telefono,0,0,'L');
//    $this->Cell(0,10,'www.sised.com.co  -  rep'.$tiporeporte,0,0,'R');
}
}

// Creación del objeto de la clase heredada

$tamañoreporte=$_POST['tamanoreporte'];
if ($tamañoreporte=="1"){
	$pdf = new PDF('P','mm','letter');
	$pdf->SetMargins(10, 8, 5, -1);
}
else{
	$pdf = new PDF('P','mm','legal');
	$pdf->SetMargins(10, 8, 5,-1);
}
$baj_inf=1.0;$baj_sup=2.9;$bas_inf=3.0;$bas_sup=3.9;$alt_inf=4.0;$alt_sup=4.5;$sup_inf=4.6;$sup_sup=5.0;
$danesede= $_GET['danesede'];
$bdie= $_GET['bdie'];
$periodo= $_GET['periodo'];
$lectivo= '12013';
$grado=$_POST['gradoest'];
$grupo=$_POST['grupoest'];
$contador=0;
include("../php/conexion-bdie.php");
$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrupo='$grupo' And estado='1'",$db_basededatosie);
while ($FilaMatriculado=mysql_fetch_array($regmatriculados)){
	$idestudiantematriculado=$FilaMatriculado["nuid"];
	$sumanotas=0; $numnotas=0; $promedioestudiante=number_format(0,2);
	$regestudiantes=mysql_query("Select nombres,apellidos,documento From datos_estudiantes Where nuid='$idestudiantematriculado'",$db_basededatosie);
	if(mysql_num_rows($regestudiantes)>0){
		$FilaEstudiante=mysql_fetch_array($regestudiantes);
		$estudiantesdesordenados[$contador][0]=utf8_decode($FilaEstudiante["apellidos"])." ".utf8_decode($FilaEstudiante["nombres"]);
		$estudiantesdesordenados[$contador][1]=$idestudiantematriculado;
		$estudiantesdesordenados[$contador][2]=$FilaEstudiante["documento"];

		$total_notas_periodo=0;$definitivap=0;
		$res_notas=mysql_query("Select definitiva,idasignatura,periodo From datos_notastipo1 Where nuid='$idestudiantematriculado'",$db_basededatosie);
		while ($reg_nota=mysql_fetch_array($res_notas)) {
			$definitivap=number_format($reg_nota[definitiva],1);
			$idasignatura=$reg_nota[idasignatura];
			$periop=$reg_nota[periodo];
			$total_notas_periodo+=number_format($definitivap,1);
		}
		$puestos[$contador]=number_format($total_notas_periodo,1).$idestudiantematriculado;

		$contador=$contador+1;
	}
}
// Ordenar el array ... 
if ($estudiantesdesordenados)
	sort($estudiantesdesordenados);
else
	$pdf->Cell(100,4,'MENSAJE: No hay estudiantes matriculados',1,1,'C'); 
	
if (substr($grupo,15,2)<=11) {	
	for ($i=0;$i<$contador;$i++){
		$nuid=$estudiantesdesordenados[$i][1];
		$nombreestudiante=$estudiantesdesordenados[$i][0];
		$documento=$estudiantesdesordenados[$i][2];
		include("../php/conexion-bdie.php");
		$reggrado=mysql_query("Select grado From datos_grados Where idgrado='$grado'",$db_basededatosie);
		if(mysql_num_rows($reggrado)>0){
			$FilaGrado=mysql_fetch_array($reggrado);
			$descgrado=utf8_decode($FilaGrado["grado"]);
		}
	
		$pdf->AddPage();
		// Salto de línea
		$pdf->Ln(1);


		$puesto_estudiante="-";
		rsort($puestos);			
		for ($p=0;$p<$contador;$p++){
			$nuid_estud=substr($puestos[$p],strlen($puestos[$p])-17,17);
			if ($nuid_estud==$nuid){
				$puesto_estudiante=$p+1;
				$puesto_curso=$puesto_estudiante.' de '.$contador;
				$p=$contador;
			}
		}

		$pdf->SetFont('Times','B',11);$pdf->SetFillColor(234,234,234);
		$pdf->Cell(200,8,$nombreestudiante,1,1,'C',true);
		$pdf->SetFillColor(245,245,245);
		$pdf->SetFont('Times','B',9);
		$pdf->Cell(45,5,'CODIGO: '.substr($nuid,12,5),1,0,'C',true);
		$pdf->Cell(35,5,'AÑO: '.substr($lectivo,1,4),1,0,'C',true);$pdf->Cell(60,5,'GRADO/CURSO: '.$descgrado.'-'.substr($grupo,17,1),1,0,'C',true);
		$pdf->Cell(60,5,'PUESTO: '.$puesto_curso,1,1,'C',true);
		$pdf->SetTextColor(0);
		$pdf->SetFont('');
		
		$pdf->Ln(3);
		$pdf->Cell(80,5,'AREAS/ASIGNATURAS',1,0,'C');
		$pdf->Cell(10,5,'I. H.',1,0,'C');
		$pdf->Cell(10,5,'Per 1',1,0,'C');
		$pdf->Cell(10,5,'Per 2',1,0,'C');
		$pdf->Cell(10,5,'Per 3',1,0,'C');
		$pdf->Cell(10,5,'Per 4',1,0,'C');
		$pdf->Cell(10,5,'F.A.',1,0,'C');
		$pdf->Cell(20,5,'DEFINITIVA',1,0,'C');
		$pdf->Cell(20,5,'NIVELACION',1,0,'C');
		$pdf->Cell(20,5,'DESEMPEÑO',1,1,'C');
		$asignaturastotales=0;$promediototal=0;
		include("../php/conexion-bdie.php");
		$regareas=mysql_query("Select * From datos_areas order by ordenimpresion",$db_basededatosie);
		while ($FilaArea=mysql_fetch_array($regareas)){
			$idarea=$FilaArea["idarea"];
			$area=$FilaArea["area"];
			$contarasignaturas=0;$totalarea=0;$promedioarea=0;
			include("../php/conexion-bdie.php");
			$regasignaturas=mysql_query("Select * From datos_asignaturas Where idarea='$idarea' And idgrado='$grado' And estado='1' order by idasignatura",$db_basededatosie);
			while ($FilaAsignatura=mysql_fetch_array($regasignaturas)){
				$idasignatura=$FilaAsignatura["idasignatura"];
				$asignatura=utf8_decode($FilaAsignatura["asignatura"]);
				$ih=$FilaAsignatura["ih"];
				$fallas=0;$sumafallas=0;$sumanotas=0;
				$arregloasignatura[$contarasignaturas][0]="";$arregloasignatura[$contarasignaturas][1]="";$arregloasignatura[$contarasignaturas][2]="";$arregloasignatura[$contarasignaturas][3]="";$arregloasignatura[$contarasignaturas][4]="-";
				$arregloasignatura[$contarasignaturas][5]="";$arregloasignatura[$contarasignaturas][6]="-";$arregloasignatura[$contarasignaturas][7]="";$arregloasignatura[$contarasignaturas][8]="";$arregloasignatura[$contarasignaturas][9]="";
				$arregloasignatura[$contarasignaturas][10]="";$arregloasignatura[$contarasignaturas][11]="-";$arregloasignatura[$contarasignaturas][12]="";$arregloasignatura[$contarasignaturas][13]="-";$arregloasignatura[$contarasignaturas][14]="";
				$arregloasignatura[$contarasignaturas][15]="";$arregloasignatura[$contarasignaturas][16]="-";$arregloasignatura[$contarasignaturas][17]="-";$arregloasignatura[$contarasignaturas][18]="-";$arregloasignatura[$contarasignaturas][19]="-";
				$arregloasignatura[$contarasignaturas][20]="";
				$arregloasignatura[$contarasignaturas][0]=$idasignatura;
				$arregloasignatura[$contarasignaturas][1]=$asignatura;
				$arregloasignatura[$contarasignaturas][2]=$ih;
				$recuperacion="";$definitiva="";
				$regnotas=mysql_query("Select * From datos_notastipo1 Where idasignatura='$idasignatura' And nuid='$nuid'",$db_basededatosie);
				while ($FilaNotas=mysql_fetch_array($regnotas)){
					$fallas=$FilaNotas["fallas"];
					$definitiva=number_format($FilaNotas["definitiva"],1);
					$perio=$FilaNotas["periodo"];
					if ($perio=="1") {
						$arregloasignatura[$contarasignaturas][3]=$fallas;
						$sumafallas=$sumafallas+$fallas;$Sw=0;
						$regrecup=mysql_query("Select recuperacion From datos_recuperaciones Where idasignatura='$idasignatura' And nuid='$nuid' And periodo='1'",$db_basededatosie);
						if(mysql_num_rows($regrecup)>0){
							$FilaRecup=mysql_fetch_array($regrecup);
							$recuperacion=number_format($FilaRecup["recuperacion"],1);
							if ($recuperacion < $definitiva){
								if ($recuperacion>=3){
									$definitiva=($definitiva+$recuperacion)/2;
									$Sw=1;
								}
							}
							else{
								$definitiva=$recuperacion;
								$Sw=1;
							}
						}
						$arregloasignatura[$contarasignaturas][4]=$definitiva;
						$sumanotas=$sumanotas+$definitiva;
					}
					elseif ($perio=="2") {
						$arregloasignatura[$contarasignaturas][5]=$fallas;
						$sumafallas=$sumafallas+$fallas;
						$regrecup=mysql_query("Select recuperacion From datos_recuperaciones Where idasignatura='$idasignatura' And nuid='$nuid' And periodo='2'",$db_basededatosie);
						if(mysql_num_rows($regrecup)>0){
							$FilaRecup=mysql_fetch_array($regrecup);
							$recuperacion=number_format($FilaRecup["recuperacion"],1);
							if ($recuperacion < $definitiva){
								if ($recuperacion>=3){
									$definitiva=($definitiva+$recuperacion)/2;
									$Sw=1;
								}
							}
							else{
								$definitiva=$recuperacion;
								$Sw=1;
							}
						}
						$arregloasignatura[$contarasignaturas][6]=$definitiva;
						$sumanotas=$sumanotas+$definitiva;
					}
					elseif ($perio=="3") {
						$arregloasignatura[$contarasignaturas][10]=$fallas;
						$sumafallas=$sumafallas+$fallas;
						$regrecup=mysql_query("Select recuperacion From datos_recuperaciones Where idasignatura='$idasignatura' And nuid='$nuid' And periodo='3'",$db_basededatosie);
						if(mysql_num_rows($regrecup)>0){
							$FilaRecup=mysql_fetch_array($regrecup);
							$recuperacion=number_format($FilaRecup["recuperacion"],1);
							if ($recuperacion < $definitiva){
								if ($recuperacion>=3){
									$definitiva=($definitiva+$recuperacion)/2;
									$Sw=1;
								}
							}
							else{
								$definitiva=$recuperacion;
								$Sw=1;
							}
						}
						$arregloasignatura[$contarasignaturas][11]=$definitiva;
						$sumanotas=$sumanotas+$definitiva;
					}
					elseif ($perio=="4") {
						$arregloasignatura[$contarasignaturas][12]=$fallas;
						$sumafallas=$sumafallas+$fallas;
						$regrecup=mysql_query("Select recuperacion From datos_recuperaciones Where idasignatura='$idasignatura' And nuid='$nuid' And periodo='4'",$db_basededatosie);
						if(mysql_num_rows($regrecup)>0){
							$FilaRecup=mysql_fetch_array($regrecup);
							$recuperacion=number_format($FilaRecup["recuperacion"],1);
							if ($recuperacion < $definitiva){
								if ($recuperacion>=3){
									$definitiva=($definitiva+$recuperacion)/2;
									$Sw=1;
								}
							}
							else{
								$definitiva=$recuperacion;
								$Sw=1;
							}
						}
						$arregloasignatura[$contarasignaturas][13]=$definitiva;
						$sumanotas=$sumanotas+$definitiva;
					}
				}
				if ($sumanotas>0){
					$arregloasignatura[$contarasignaturas][7]=$sumafallas;
					$promedio=number_format($sumanotas/4,1);
					$arregloasignatura[$contarasignaturas][8]=$promedio;
					$recup="";
					$regrecup=mysql_query("Select recuperacion From datos_recuperaciones Where idasignatura='$idasignatura' And nuid='$nuid' And periodo='9'",$db_basededatosie);
					if(mysql_num_rows($regrecup)>0){
						$FilaRecup=mysql_fetch_array($regrecup);
						$recup=$FilaRecup["recuperacion"];
						$arregloasignatura[$contarasignaturas][20]=$recup;
						if ($recup > $promedio)
							$promedio=$recup;
					}
					if ($promedio<=$baj_sup)
						$nivel="BAJO";
					elseif ($promedio>=$bas_inf And $promedio<=$bas_sup)
						$nivel="BASICO";
					elseif ($promedio>=$alt_inf && $promedio<=$alt_sup)
						$nivel="ALTO";
					else
						$nivel="SUPERIOR";	
					$arregloasignatura[$contarasignaturas][9]=$nivel;
					$totalarea=$totalarea+$promedio;				
				}
				$contarasignaturas=$contarasignaturas+1;
			}
			if ($contarasignaturas) {
				$pdf->SetFont('Times','I',10);
				$pdf->SetFillColor(245,245,245);$pdf->SetFont('','B');
				$pdf->Cell(200,5,$area,1,1,'L',true);
				$pdf->SetFillColor(224,235,255);
		    		$pdf->SetTextColor(0);
		    		$pdf->SetFont('');
				for ($k=0;$k<$contarasignaturas;$k++){
					$pdf->SetFont('Times','I',8);
					$pdf->Cell(80,5,$arregloasignatura[$k][1],1,0,'L');
					$pdf->Cell(10,5,$arregloasignatura[$k][2],1,0,'C');
					$pdf->Cell(10,5,$arregloasignatura[$k][4],1,0,'C');
					$pdf->Cell(10,5,$arregloasignatura[$k][6],1,0,'C');
					$pdf->Cell(10,5,$arregloasignatura[$k][11],1,0,'C');
					$pdf->Cell(10,5,$arregloasignatura[$k][13],1,0,'C');
					$pdf->Cell(10,5,$arregloasignatura[$k][7],1,0,'C');
					if ($arregloasignatura[$k][8]<$baj_sup) {
						$pdf->SetFillColor(200,200,200);$pdf->SetFont('','B');	
						$pdf->Cell(20,5,$arregloasignatura[$k][8],1,0,'C',true);
					}
					else {
						$pdf->SetFillColor(245,245,245);$pdf->SetFont('','B');			
						$pdf->Cell(20,5,$arregloasignatura[$k][8],1,0,'C',true);
					}
					$pdf->SetFillColor(224,235,255);
			    		$pdf->SetTextColor(0);
			    		$pdf->SetFont('');
					$pdf->Cell(20,5,$arregloasignatura[$k][20],1,0,'C');		
					$pdf->Cell(20,5,$arregloasignatura[$k][9],1,1,'C');
//			    		if ($arregloasignatura[$k][2]>0) {
						$asignaturastotales=$asignaturastotales+1;
						$promediototal=$promediototal+$arregloasignatura[$k][8];	
//					}    				
				}
//				$promedioarea=number_format($totalarea/$contarasignaturas,1);
//				if ($promedioarea<=$baj_sup)
//					$nivelarea="BAJO";
//				elseif ($promedioarea>=$bas_inf And $promedioarea<=$bas_sup)
//					$nivelarea="BASICO";
//				elseif ($promedioarea>=$alt_inf And $promedioarea<=$alt_sup)
//					$nivelarea="ALTO";
//				else
//					$nivelarea="SUPERIOR";
//				$pdf->SetFont('Times','I',8);
//				$pdf->Cell(140,5,'PROMEDIO AREA ==>',1,0,'R');
//				$pdf->SetFont('Times','',9);
//				if ($promedioarea<$baj_sup) {
//					$pdf->SetFillColor(200,200,200);$pdf->SetFont('','B');			
//					$pdf->Cell(20,5,$promedioarea,1,0,'C',true);
//					$pdf->Cell(40,5,$nivelarea,1,1,'C',true);
//				}
//				else {
//					$pdf->SetFillColor(245,245,245);$pdf->SetFont('','B');			
//					$pdf->Cell(20,5,$promedioarea,1,0,'C',true);
//					$pdf->Cell(40,5,$nivelarea,1,1,'C',true);
//				}
//				$pdf->SetFillColor(224,235,255);
//		    		$pdf->SetTextColor(0);
//		    		$pdf->SetFont('');
//		    		$pdf->Ln(1);
			}
		}
		$pdf->SetFont('Times','',10);$pdf->SetFillColor(230,230,230);$pdf->SetFont('','B');
		$pdf->Cell(200,8,'PROMEDIO GENERAL DURANTE EL AÑO LECTIVO ==> '.number_format($promediototal/$asignaturastotales,1),1,1,'C',true);
		$pdf->SetFont('Times','',10);$pdf->SetFillColor(230,230,230);$pdf->SetFont('','B');
		$pdf->Cell(200,5,'APROBO   [     ]                                                     REPROBO   [     ]',1,1,'C',true);
		$pdf->SetFillColor(224,235,255);$pdf->SetTextColor(0);
		$pdf->SetFillColor(224,235,255);$pdf->SetTextColor(0);
		$pdf->Cell(200,5,'OBSERVACIONES:',0,1,'L');
		$pdf->SetFont('Times','',9);
		$observaciones="";
		$regobserv=mysql_query("Select observacion From datos_observaciones Where nuid='$nuid' And periodo='9'",$db_basededatosie);
		if(mysql_num_rows($regobserv)>0){
			$FilaObservacion=mysql_fetch_array($regobserv);
			$observaciones=utf8_decode($FilaObservacion["observacion"]);
			$pdf->MultiCell(200,5,$observaciones,1);
		}
		else
			$pdf->Cell(200,10,$observaciones,1,1);
		$pdf->SetFont('Times','I',7);
		$pdf->Cell(100,4,'Niveles: [BAJO: '.$baj_inf.' a '.$baj_sup.'] [BASICO: '.$bas_inf.' a '.$bas_sup.'] [ALTO: '.$alt_inf.' a '.$alt_sup.'] [SUPERIOR: '.$sup_inf.' a '.$sup_sup.']',0,0,'L'); $pdf->Cell(100,4,'Convenciones: I.H. Intensidad Horaria     F.P. Fallas en el Periodo     F.A. Fallas Acumuladas',0,1,'R');
		$pdf->Ln(5);
		$pdf->Cell(10);
		$pdf->Cell(75,1,'________________________________________________',0,0,'L');
		$pdf->Cell(25);
		$pdf->Cell(75,1,'________________________________________________',0,1,'L');
		$pdf->Cell(15);
	    include("../php/conexion-infogeneral.php");
	    $idi=$_GET['idi'];
	    $DatosInstitucion = mysql_query("Select rectorie From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
		if(mysql_num_rows($DatosInstitucion)>0) {
			$registro=mysql_fetch_array($DatosInstitucion);
			$rector=utf8_decode($registro["rectorie"]);
		}
		$pdf->SetFont('Times','B',8);
		$pdf->Cell(75,5,$rector,0,0,'L');
		include("../php/conexion-bdie.php");
		$regdirector=mysql_query("Select director From datos_grupos Where idgrupo='$grupo'",$db_basededatosie);
		if(mysql_num_rows($regdirector)>0) {
			$registro=mysql_fetch_array($regdirector);
			$iddirector=$registro["director"];
			$regdocentes=mysql_query("Select nombres,apellidos From datos_docentes Where iddocente='$iddirector'",$db_basededatosie);
			if(mysql_num_rows($regdocentes)>0) {
				$registrodocente=mysql_fetch_array($regdocentes);
				$director=utf8_decode($registrodocente["apellidos"])." ".utf8_decode($registrodocente["nombres"]);
			}
		}
		$pdf->Cell(25);
		$pdf->Cell(75,5,$director,0,1,'L');
		$pdf->SetFont('Times','',8);
		$pdf->Cell(15);
		$pdf->Cell(75,3,'Rector',0,0,'L');
		$pdf->Cell(25);
		$pdf->Cell(75,3,'Director(a) de Grupo/Curso',0,1,'L');
	}
}
else {
	for ($i=0;$i<$contador;$i++){
		$nuid=$estudiantesdesordenados[$i][1];
		$nombreestudiante=$estudiantesdesordenados[$i][0];
		$documento=$estudiantesdesordenados[$i][2];
		include("../php/conexion-bdie.php");
		$reggrado=mysql_query("Select grado From datos_grados Where idgrado='$grado'",$db_basededatosie);
		if(mysql_num_rows($reggrado)>0){
			$FilaGrado=mysql_fetch_array($reggrado);
			$descgrado=utf8_decode($FilaGrado["grado"]);
		}
	
		$pdf->AddPage();
		// Salto de línea


		$puesto_estudiante="-";
		rsort($puestos);			
		for ($p=0;$p<$contador;$p++){
			$nuid_estud=substr($puestos[$p],strlen($puestos[$p])-17,17);
			if ($nuid_estud==$nuid){
				$puesto_estudiante=$p+1;
				$puesto_curso=$puesto_estudiante.' de '.$contador;
				$p=$contador;
			}
		}

		$pdf->Ln(5);
		$pdf->SetFont('Times','B',11);$pdf->SetFillColor(234,234,234);
		$pdf->Cell(200,8,$nombreestudiante,1,1,'C',true);
		$pdf->SetFillColor(245,245,245);
		$pdf->SetFont('Times','B',9);
		$pdf->Cell(45,5,'CODIGO: '.substr($nuid,12,5),1,0,'C',true);
		$pdf->Cell(35,5,'AÑO: '.substr($lectivo,1,4),1,0,'C',true);$pdf->Cell(60,5,'GRADO/CURSO: '.$descgrado.'-'.substr($grupo,17,1),1,0,'C',true);
		$pdf->Cell(60,5,'PUESTO: '.$puesto_curso,1,1,'C',true);
		$pdf->SetTextColor(0);
		$pdf->SetFont('');
		
		$pdf->Ln(3);
		$pdf->Cell(80,5,'AREAS/ASIGNATURAS',1,0,'C');
		$pdf->Cell(10,5,'I. H.',1,0,'C');
		$pdf->Cell(10,5,'Per 1',1,0,'C');
		$pdf->Cell(10,5,'Per 2',1,0,'C');
		$pdf->Cell(10,5,'Per 3',1,0,'C');
		$pdf->Cell(10,5,'Per 4',1,0,'C');
		$pdf->Cell(10,5,'F.A.',1,0,'C');
		$pdf->Cell(20,5,'DEFINITIVA',1,0,'C');
		$pdf->Cell(20,5,'NIVELACION',1,0,'C');
		$pdf->Cell(20,5,'DESEMPEÑO',1,1,'C');
		$asignaturastotales=0;$promediototal=0;
		include("../php/conexion-bdie.php");
		$regareas=mysql_query("Select * From datos_areas order by ordenimpresion",$db_basededatosie);
		while ($FilaArea=mysql_fetch_array($regareas)){
			$idarea=$FilaArea["idarea"];
			$area=$FilaArea["area"];
			$contarasignaturas=0;$totalarea=0;$promedioarea=0;
			include("../php/conexion-bdie.php");
			$regasignaturas=mysql_query("Select * From datos_asignaturas Where idarea='$idarea' And idgrado='$grado' And estado='1' order by idasignatura",$db_basededatosie);
			while ($FilaAsignatura=mysql_fetch_array($regasignaturas)){
				$idasignatura=$FilaAsignatura["idasignatura"];
				$asignatura=utf8_decode($FilaAsignatura["asignatura"]);
				$ih=$FilaAsignatura["ih"];
				$fallas=0;$sumafallas=0;$sumanotas=0;
				$arregloasignatura[$contarasignaturas][0]="";$arregloasignatura[$contarasignaturas][1]="";$arregloasignatura[$contarasignaturas][2]="";$arregloasignatura[$contarasignaturas][3]="";$arregloasignatura[$contarasignaturas][4]="-";
				$arregloasignatura[$contarasignaturas][5]="";$arregloasignatura[$contarasignaturas][6]="-";$arregloasignatura[$contarasignaturas][7]="";$arregloasignatura[$contarasignaturas][8]="";$arregloasignatura[$contarasignaturas][9]="";
				$arregloasignatura[$contarasignaturas][10]="";$arregloasignatura[$contarasignaturas][11]="-";$arregloasignatura[$contarasignaturas][12]="";$arregloasignatura[$contarasignaturas][13]="-";$arregloasignatura[$contarasignaturas][14]="";
				$arregloasignatura[$contarasignaturas][15]="";$arregloasignatura[$contarasignaturas][16]="-";$arregloasignatura[$contarasignaturas][17]="-";$arregloasignatura[$contarasignaturas][18]="-";$arregloasignatura[$contarasignaturas][19]="-";
				$arregloasignatura[$contarasignaturas][20]="";
				$arregloasignatura[$contarasignaturas][0]=$idasignatura;
				$arregloasignatura[$contarasignaturas][1]=$asignatura;
				$arregloasignatura[$contarasignaturas][2]=$ih;
				$recup1="";$recup2="";$recup3="";$recup4="";
				$regnotas=mysql_query("Select * From datos_notastipo1 Where idasignatura='$idasignatura' And nuid='$nuid'",$db_basededatosie);
				while ($FilaNotas=mysql_fetch_array($regnotas)){
					$fallas=$FilaNotas["fallas"];
					$definitiva=number_format($FilaNotas["definitiva"],1);
					$perio=$FilaNotas["periodo"];
					if ($perio=="1") {
						$arregloasignatura[$contarasignaturas][3]=$fallas;
						$sumafallas=$sumafallas+$fallas;
						$regrecup=mysql_query("Select recuperacion From datos_recuperaciones Where idasignatura='$idasignatura' And nuid='$nuid' And periodo='1'",$db_basededatosie);
						if(mysql_num_rows($regrecup)>0){
							$FilaRecup=mysql_fetch_array($regrecup);
							$recuperacion=number_format($FilaRecup["recuperacion"],1);
							if ($recuperacion < $definitiva){
								if ($recuperacion>=3){
									$definitiva=($definitiva+$recuperacion)/2;
									$Sw=1;
								}
							}
							else{
								$definitiva=$recuperacion;
								$Sw=1;
							}
						}
						$arregloasignatura[$contarasignaturas][4]=$definitiva;
						$sumanotas=$sumanotas+$definitiva;
					}
					elseif ($perio=="2") {
						$arregloasignatura[$contarasignaturas][5]=$fallas;
						$sumafallas=$sumafallas+$fallas;
						$regrecup=mysql_query("Select recuperacion From datos_recuperaciones Where idasignatura='$idasignatura' And nuid='$nuid' And periodo='2'",$db_basededatosie);
						if(mysql_num_rows($regrecup)>0){
							$FilaRecup=mysql_fetch_array($regrecup);
							$recuperacion=number_format($FilaRecup["recuperacion"],1);
							if ($recuperacion < $definitiva){
								if ($recuperacion>=3){
									$definitiva=($definitiva+$recuperacion)/2;
									$Sw=1;
								}
							}
							else{
								$definitiva=$recuperacion;
								$Sw=1;
							}
						}
						$arregloasignatura[$contarasignaturas][6]=$definitiva;
						$sumanotas=$sumanotas+$definitiva;
					}
					elseif ($perio=="3") {
						$arregloasignatura[$contarasignaturas][10]=$fallas;
						$sumafallas=$sumafallas+$fallas;
						$regrecup=mysql_query("Select recuperacion From datos_recuperaciones Where idasignatura='$idasignatura' And nuid='$nuid' And periodo='3'",$db_basededatosie);
						if(mysql_num_rows($regrecup)>0){
							$FilaRecup=mysql_fetch_array($regrecup);
							$recuperacion=number_format($FilaRecup["recuperacion"],1);
							if ($recuperacion < $definitiva){
								if ($recuperacion>=3){
									$definitiva=($definitiva+$recuperacion)/2;
									$Sw=1;
								}
							}
							else{
								$definitiva=$recuperacion;
								$Sw=1;
							}
						}
						$arregloasignatura[$contarasignaturas][11]=$definitiva;
						$sumanotas=$sumanotas+$definitiva;
					}
					elseif ($perio=="4") {
						$arregloasignatura[$contarasignaturas][12]=$fallas;
						$sumafallas=$sumafallas+$fallas;
						$regrecup=mysql_query("Select recuperacion From datos_recuperaciones Where idasignatura='$idasignatura' And nuid='$nuid' And periodo='4'",$db_basededatosie);
						if(mysql_num_rows($regrecup)>0){
							$FilaRecup=mysql_fetch_array($regrecup);
							$recuperacion=number_format($FilaRecup["recuperacion"],1);
							if ($recuperacion < $definitiva){
								if ($recuperacion>=3){
									$definitiva=($definitiva+$recuperacion)/2;
									$Sw=1;
								}
							}
							else{
								$definitiva=$recuperacion;
								$Sw=1;
							}
						}
						$arregloasignatura[$contarasignaturas][13]=$definitiva;
						$sumanotas=$sumanotas+$definitiva;
					}
				}
				if ($sumanotas>0){
					$arregloasignatura[$contarasignaturas][7]=$sumafallas;
					$promedio=number_format($sumanotas/2,1);
					$arregloasignatura[$contarasignaturas][8]=$promedio;
					$recup="";
					$regrecup=mysql_query("Select recuperacion From datos_recuperaciones Where idasignatura='$idasignatura' And nuid='$nuid' And periodo='9'",$db_basededatosie);
					if(mysql_num_rows($regrecup)>0){
						$FilaRecup=mysql_fetch_array($regrecup);
						$recup=$FilaRecup["recuperacion"];
						$arregloasignatura[$contarasignaturas][20]=$recup;
						if ($recup > $promedio)
							$promedio=$recup;
					}
					if ($promedio<=$baj_sup)
						$nivel="BAJO";
					elseif ($promedio>=$bas_inf And $promedio<=$bas_sup)
						$nivel="BASICO";
					elseif ($promedio>=$alt_inf && $promedio<=$alt_sup)
						$nivel="ALTO";
					else
						$nivel="SUPERIOR";	
					$arregloasignatura[$contarasignaturas][9]=$nivel;
					$totalarea=$totalarea+$promedio;				
				}
				$contarasignaturas=$contarasignaturas+1;
			}
			if ($contarasignaturas) {
				$pdf->SetFont('Times','I',10);
				$pdf->SetFillColor(245,245,245);$pdf->SetFont('','B');
				$pdf->Cell(200,5,$area,1,1,'L',true);
				$pdf->SetFillColor(224,235,255);
		    		$pdf->SetTextColor(0);
		    		$pdf->SetFont('');
				for ($k=0;$k<$contarasignaturas;$k++){
					$pdf->SetFont('Times','I',8);
					$pdf->Cell(80,5,$arregloasignatura[$k][1],1,0,'L');
					$pdf->Cell(10,5,$arregloasignatura[$k][2],1,0,'C');
					$pdf->Cell(10,5,$arregloasignatura[$k][4],1,0,'C');
					$pdf->Cell(10,5,$arregloasignatura[$k][6],1,0,'C');
					$pdf->Cell(10,5,$arregloasignatura[$k][11],1,0,'C');
					$pdf->Cell(10,5,$arregloasignatura[$k][13],1,0,'C');
					$pdf->Cell(10,5,$arregloasignatura[$k][7],1,0,'C');
					if ($arregloasignatura[$k][8]<$baj_sup) {
						$pdf->SetFillColor(200,200,200);$pdf->SetFont('','B');	
						$pdf->Cell(20,5,$arregloasignatura[$k][8],1,0,'C',true);
					}
					else {
						$pdf->SetFillColor(245,245,245);$pdf->SetFont('','B');			
						$pdf->Cell(20,5,$arregloasignatura[$k][8],1,0,'C',true);
					}
					$pdf->SetFillColor(224,235,255);
			    		$pdf->SetTextColor(0);
			    		$pdf->SetFont('');
					$pdf->Cell(20,5,$arregloasignatura[$k][20],1,0,'C');		
					$pdf->Cell(20,5,$arregloasignatura[$k][9],1,1,'C');
//			    		if ($arregloasignatura[$k][2]>0) {
						$asignaturastotales=$asignaturastotales+1;
						$promediototal=$promediototal+$arregloasignatura[$k][8];	
//					}    				
				}
			}
		}
		$pdf->SetFont('Times','',10);$pdf->SetFillColor(230,230,230);$pdf->SetFont('','B');
		$pdf->Cell(200,8,'PROMEDIO GENERAL DURANTE EL AÑO LECTIVO ==> '.number_format($promediototal/$asignaturastotales,1),1,1,'C',true);
		$pdf->SetFont('Times','',10);$pdf->SetFillColor(230,230,230);$pdf->SetFont('','B');
		$pdf->Cell(200,8,'APROBO   [     ]                                                           REPROBO   [     ]',1,1,'C',true);
		$pdf->SetFillColor(224,235,255);$pdf->SetTextColor(0);
		$pdf->SetFillColor(224,235,255);$pdf->SetTextColor(0);
		$pdf->Cell(200,5,'OBSERVACIONES:',0,1,'L');
		$pdf->SetFont('Times','',9);
		$observaciones="";
		$regobserv=mysql_query("Select observacion From datos_observaciones Where nuid='$nuid' And periodo='9'",$db_basededatosie);
		if(mysql_num_rows($regobserv)>0){
			$FilaObservacion=mysql_fetch_array($regobserv);
			$observaciones=utf8_decode($FilaObservacion["observacion"]);
			$pdf->MultiCell(200,5,$observaciones,1);
		}
		else
			$pdf->Cell(200,10,$observaciones,1,1);
		$pdf->SetFont('Times','I',7);
		$pdf->Cell(100,4,'Niveles: [BAJO: '.$baj_inf.' a '.$baj_sup.'] [BASICO: '.$bas_inf.' a '.$bas_sup.'] [ALTO: '.$alt_inf.' a '.$alt_sup.'] [SUPERIOR: '.$sup_inf.' a '.$sup_sup.']',0,0,'L'); $pdf->Cell(100,4,'Convenciones: I.H. Intensidad Horaria     F.P. Fallas en el Periodo     F.A. Fallas Acumuladas',0,1,'R');
		$pdf->Ln(5);
		$pdf->Cell(15);
		$pdf->Cell(75,1,'________________________________________________',0,0,'L');
		$pdf->Cell(25);
		$pdf->Cell(75,1,'________________________________________________',0,1,'L');
		$pdf->Cell(15);
	    include("../php/conexion-infogeneral.php");
	    $idi=$_GET['idi'];
	    $DatosInstitucion = mysql_query("Select rectorie From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
		if(mysql_num_rows($DatosInstitucion)>0) {
			$registro=mysql_fetch_array($DatosInstitucion);
			$rector=utf8_decode($registro["rectorie"]);
		}
		$pdf->SetFont('Times','B',8);
		$pdf->Cell(75,5,$rector,0,0,'L');
		include("../php/conexion-bdie.php");
		$regdirector=mysql_query("Select director From datos_grupos Where idgrupo='$grupo'",$db_basededatosie);
		if(mysql_num_rows($regdirector)>0) {
			$registro=mysql_fetch_array($regdirector);
			$iddirector=$registro["director"];
			$regdocentes=mysql_query("Select nombres,apellidos From datos_docentes Where iddocente='$iddirector'",$db_basededatosie);
			if(mysql_num_rows($regdocentes)>0) {
				$registrodocente=mysql_fetch_array($regdocentes);
				$director=utf8_decode($registrodocente["apellidos"])." ".utf8_decode($registrodocente["nombres"]);
			}
		}
		$pdf->Cell(25);
		$pdf->Cell(75,5,$director,0,1,'L');
		$pdf->SetFont('Times','',8);
		$pdf->Cell(15);
		$pdf->Cell(75,3,'Rector',0,0,'L');
		$pdf->Cell(25);
		$pdf->Cell(75,3,'Director(a) de Grupo/Curso',0,1,'L');
	}
}

$pdf->Output();
?>